3 20
50
gwogsnogslv
dlwngqvnvvjod
qvvwssloqlvjwld
lgndnlwosjsdg
qqjqsdolwddjs
dnoojjwwnlodd
sdsojlnvgwjqoslnno
jddnnjwqvnjq
solvgologqndgosjdgn
vwdolvqsndnowoqwd
qlwlogwqwndqlqsgjvvw
onovnlwdowvwwn
sddsvgonqnjlgd
svsdlngdsndlqnqddjg
dgvsngdsgq
ggvdloloqsssnogv
lsngqgodgwjosodq
wsqvoolnqsjd
joswdggllgjqd
dswjsvvlqqndjoqs
wnolvnwdsgsnjjsd
lnnngdvnqd
ojgnwnsjwgss
wdjlnssgnojnsdwgw
dnwvqqsvqsw
ssvvjgllosq
doddongwwgwgnssdgvl
wnwnljoglngnjvv
ossgsvgowq
wsjgvgwnljjv
wsvjlldwlj
vnqgnngodjdnldld
nnlnnnwssdgvgqjjo
wvvonnwvqnjvjs
nodlnjvvvvswodnsjgl
dqwndnwdwvjqgqsjlw
djodswvgjgs
lgnsvlvqlvws
sgdvglnlgwvqjwlvvqns
owoosgsssww
ologsgqvvojjgdoowd
oonddnnnjnoljgwlsgs
wnlnngwvwdlqlqvgdnd
lwwdwwovsn
sldoqjoqjlsw
gljlqqwsslnvl
vvgjlwgqgvnqoogqv
sdwgllsvdjjqodgns
nqwngnlnvwdlojqqj
slldnnvlvvq
